Bug 3274 - [UPDATE REQUEST] [UPSTREAM UPDATE] openhpi
: [UPDATE REQUEST] [UPSTREAM UPDATE] openhpi
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-28 14:26 MSK by Andrew Lukoshko
Modified: 2013-12-16 09:52 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-11-28 14:26:02 MSK
* Due to missing support for certain thermal sensors, the getBladeInfo()
function terminated, making the whole discovery process fail. This update adds
the support for these sensors and OpenHPI discovery now works as expected.

* Previously, code supporting certain RDR sensors was missing in OpenHPI.
Consequently, after the extraction and reinsertion of an enclosure monitored via
the Onboard Administrator (OA) SOAP plug-in, the following error messages were
returned to the log file: 

openhpid: ERROR: (oa_soap_sensor.c, 2005, RDR not present)
openhpid: ERROR: (oa_soap_fan_event.c, 279, processing the sensor event for
sensor 24 has failed)

This bug has been fixed and no error messages are now logged after a component
is extracted and reinserted.

* Prior to this update, support for certain blade servers was missing in
OpenHPI. Consequently, the OpenHPI daemon terminated unexpectedly with a
segmentation fault as startup on these servers. A patch has been provided to add
the missing support and the OpenHPI daemon no longer crashes in the described
scenario.

* Under certain conditions, when using OpenHPI with the Onboard Administrator
(OA) SOAP plug-in when an OA switch-over took place, HPI clients became
unresponsive or the openhpi daemon failed to connect to the new active OA.
Consequently, clients were unable to retrieve events and data. A series of
patches has been provided to better account for OA failover situations, thus
fixing this bug.

* Due to a bug in the power_supply() parsing routines, some returned strings
could contain incorrectly displayed characters. Consequently, retrieving a
serial or part number of a power supply unit (PSU) via the OpenHPI API resulted
in strings containing these characters. This update ensures that proper serial
and part numbers are returned for PSUs and the returned strings now only contain
valid characters.

http://rhn.redhat.com/errata/RHBA-2013-1018.html

https://abf.rosalinux.ru/build_lists/1391088
https://abf.rosalinux.ru/build_lists/1391089
Comment 1 Vladimir Potapov 2013-12-05 17:49:05 MSK
openhpi-2.14.1-3.res6.3
**************************** RHEL Advisory ************************
* Due to missing support for certain thermal sensors, the getBladeInfo()
function terminated, making the whole discovery process fail. This update adds
the support for these sensors and OpenHPI discovery now works as expected.

* Previously, code supporting certain RDR sensors was missing in OpenHPI.
Consequently, after the extraction and reinsertion of an enclosure monitored via
the Onboard Administrator (OA) SOAP plug-in, the following error messages were
returned to the log file: 

openhpid: ERROR: (oa_soap_sensor.c, 2005, RDR not present)
openhpid: ERROR: (oa_soap_fan_event.c, 279, processing the sensor event for
sensor 24 has failed)

This bug has been fixed and no error messages are now logged after a component
is extracted and reinserted.

* Prior to this update, support for certain blade servers was missing in
OpenHPI. Consequently, the OpenHPI daemon terminated unexpectedly with a
segmentation fault as startup on these servers. A patch has been provided to add
the missing support and the OpenHPI daemon no longer crashes in the described
scenario.

* Under certain conditions, when using OpenHPI with the Onboard Administrator
(OA) SOAP plug-in when an OA switch-over took place, HPI clients became
unresponsive or the openhpi daemon failed to connect to the new active OA.
Consequently, clients were unable to retrieve events and data. A series of
patches has been provided to better account for OA failover situations, thus
fixing this bug.

* Due to a bug in the power_supply() parsing routines, some returned strings
could contain incorrectly displayed characters. Consequently, retrieving a
serial or part number of a power supply unit (PSU) via the OpenHPI API resulted
in strings containing these characters. This update ensures that proper serial
and part numbers are returned for PSUs and the returned strings now only contain
valid characters.
*****************************************************************
QA Verified